Name: gnucash
Version: 1.7.7
Release: alt1

Summary: GnuCash is an application to keep track of your finances
Summary(ru_RU.KOI8-R):  ޣ  GnuCash

License: GPL
Group: Office
Url: http://www.gnucash.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnucash.org/pub/gnucash/sources/stable/%name-%version.tar.bz2
Source1: %name-48.xpm.bz2
Source2: %name-32.xpm.bz2
Source3: %name-16.xpm.bz2
Source4: %name-%version.ru.po
Source5: %name-README.RU

Requires: lib%name = %version-%release

Requires: gnome-libs >= 1.2.0, gdk-pixbuf >= 0.2.5, gnome-print >= 0.21
Requires: guile >= 1.4, gtkhtml >= 0.8, Guppi >= 0.35.3
Requires: g-wrap >= 1.3.4, umb-scheme >= 3.2, libgal >= 0.13
Requires: libguppi, libglade

# We should add ssl support to this one
Requires: libghttp, readline, libbonobo, GConf, libunicode, liboaf, python22 >= 2.2

# Automatically added by buildreq on Sat Dec 14 2002
BuildRequires: ORBit-devel XFree86-devel XFree86-libs compat-cpp compat-gcc doxygen esound-devel freetype2-devel g-wrap gdk-pixbuf-devel glib-devel glibc-devel-static gnome-libs-devel graphviz gtk+-devel guile-devel imlib-devel libGConf-devel libORBit libaudiofile-devel libbonobo-devel libdb1-devel libdb2-devel libg-wrap-devel libgal-devel libghttp-devel libglade-devel libglade-gnome libgnomeprint-devel libgtkhtml-devel libguppi-devel libltdl-devel liboaf libpopt-devel libreadline-devel libssl libwrap libxml-devel oaf-devel pkgconfig postgresql-devel tcp_wrappers-devel umb-scheme zlib-devel

BuildRequires: libg-wrap-devel >= 1.3.4
BuildRequires: libgal-devel >= 0.13
BuildRequires: python22-devel >= 2.2

# Temporary disabled. Lav 2003-01-07
# Check whether GnuCash should be build with or without the Postgres backend.
# When building GnuCash, pass "--with postgres" or "--without postgres"
# options, as in
#    rpmbuild --without postgres -bb gnucash.spec
#%if "%_with_postgres" == "--without-postgres"
	%define BUILD_WITH_POSTGRES 0
	#%%define sql_config --disable-sql
#%else
	#%%define BUILD_WITH_POSTGRES 1
	#%%define sql_config --enable-maintainer-mode --enable-sql
#%endif

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.

%description -l ru_RU.KOI8-R
GnuCash --    .  ޣ
         
  ,  ,   
  .     
̣  ,      
      .

%if %BUILD_WITH_POSTGRES
%package backend-postgres
Summary: Backend for storing GnuCash data in a PostgreSQL database
Summary(ru_RU.KOI8-R):     GnuCash    PostgreSQL.
Group: Office
Requires: %name = %version
Requires: postgresql >= 7.1.3

%description backend-postgres
This package contains a backend for storing your GnuCash accounts and
transactions in a PostgreSQL database.  Install this package if you
want to keep your financial data in a database instead of a flat file
(recommended for large volumes of data and commercial sites).

%description backend-postgres -l ru_RU.KOI8-R
         GnuCash
   PostgreSQL.    ,   
     ,     
(   ߣ    ).
%endif

%package -n lib%name-devel
Group: Development/C
Summary: Libraries needed to develop for gnucash
Summary(ru_RU.KOI8-R): ,     gnucash.
Requires: lib%name = %version
Obsoletes: %name-devel

%description -n lib%name-devel
Libraries needed to develop for gnucash.
%description -n lib%name-devel -l ru_RU.KOI8-R
,     gnucash.

%package -n lib%name
Summary: Libraries for gnucash
Group: System/Libraries

%description -n lib%name
This package provides libraries to use gnucash.

%description -n lib%name -l ru_RU.KOI8-R
  ,  gnucash.

%prep
%setup -q
#%patch
%__subst 's|SUBDIRS = . test|SUBDIRS =|' src/gnc-module/Makefile.in
cp -f %SOURCE4 po/ru.po
cp -f %SOURCE5 README_koi8-r.txt

# remove conflicting ltconfig and ltmain.sh
#(cd $RPM_BUILD_DIR/%name-%version && \
#rm -f ltmain.sh ltconfig && \
#libtoolize --force && \
#aclocal -I ./macros && \
#autoconf)
%if %BUILD_WITH_POSTGRES
automake src/backend/postgres/Makefile
%endif

%build
%configure %sql_config

make

%install
make DESTDIR=$RPM_BUILD_ROOT install
cp -p src/backend/postgres/README README.postgres

%find_lang %name --with-gnome

# Icons
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
bzcat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.xpm
bzcat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.xpm
bzcat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.xpm

# Menu entry
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat >$RPM_BUILD_ROOT/%_menudir/%name <<EOF
?package(%name): command="%_bindir/%name" \\
icon="%name.xpm" needs="X11" \\
section="Office/Finances" \\
genericname="Accounting System" \\
title="GnuCash" \\
longtitle="GnuCash Personal finance manager"
EOF

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%if %BUILD_WITH_POSTGRES
%files backend-postgres
%_libdir/%name/libgncmod-backend-postgres*
%doc README.postgres
%endif

%files -n lib%name-devel
#%_bindir/gnucash-make-guids
%_includedir/%name
%_datadir/aclocal/gnucash.m4
%_libdir/*.so
%_libdir/%name/*.so

%files -n lib%name
%_libdir/lib*.so.*
%_libdir/%name/lib*so*.0
%_libdir/%name/overrides
%_libdir/*.la
%_libdir/%name/*.la

%files -f %name.lang
%config %_sysconfdir/%name
%_bindir/*
%dir %_datadir/%name
%_datadir/%name/finance-quote-helper
%_datadir/%name/finance-quote-check
%_datadir/%name/doc
%_datadir/%name/glade
#%_datadir/%name/html
%_datadir/%name/accounts
%_datadir/%name/guile-modules
%_datadir/%name/scm
#%doc html
%doc doc
#%_datadir/gnome/help/gnucash
%_datadir/gnome/apps/Applications/%name.desktop
%_datadir/pixmaps/%name
%_mandir/man1/*
%doc AUTHORS COPYING ChangeLog ChangeLog.1 HACKING NEWS README README.patches
%doc doc/README.german doc/README.francais doc/guile-hackers.txt
%doc README_koi8-r.txt
%_iconsdir/%name.xpm
%_miconsdir/%name.xpm
%_liconsdir/%name.xpm
%_menudir/%name
%_datadir/mime-info/%name.*
%_infodir/*.gz

%changelog
* Mon Jan 06 2003 Vitaly Lipatov <lav@altlinux.ru> 1.7.7-alt1
- new version
- Warning: Be careful with RUB currency (use RUR instead) in your file.
- update russian translation
- postgres disabled via build problems
- add needed binaries in file section
- add README_koi8-r.txt
- cleanup spec

* Sat Dec 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.5-alt1
- gnucash-devel rename to libgnucash-devel
- spec cleanup
- add Postgres support package (untested)
- new version
- update ru.po

* Mon Nov 04 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.2-alt2
- remove dependences on libtermcap
- update russian translation

* Fri Nov 01 2002 Vitaly Lipatov <lav@altlinux.ru> 1.7.2-alt1
- new version
- spec updated

* Mon Feb 18 2002 AEN <aen@logic.ru> 1.6.5-alt3
- ru.po updates from Vitaly Lipatov

* Tue Jan 22 2002 AEN <aen@logic.ru> 1.6.5-alt2
- rebuilt with new Guppi

* Mon Jan 14 2002 AEN <aen@logic.ru> 1.6.5-alt1
- new version

* Wed Dec 05 2001 AEN <aen@logic.ru> 1.6.4-alt5
- rebuilt with gtkhtml-1.0.0

* Wed Nov 21 2001 AEN <aen@logic.ru> 1.6.4-alt4
- rebuild with libguppi-0.40.2

* Fri Nov 09 2001 AEN <aen@logicru> 1.6.4-alt3
- rebuilt with new gal

* Thu Nov 1 2001 AEN <aen@logic.ru> 1.6.4-alt2
- rebuild in new environment

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.6.4-alt1
- new version

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.8-1mdk
- new version 1.4.8
- added buildconflicts with libxml2-devel

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-2mdk
- added /usr/lib/gnucash/perl/* library files
- added la files in devel
- added man pages
- added requirement in devel
- gnucash.so is needed in the *normal* package because of swig
- moved libgncengine.so from devel to normal, just in case...

* Mon Oct  2 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.7-1mdk
- new version

* Tue Sep 12 2000  <rchaillat@bi.mandrakesoft.com> 1.4.6-1mdk
- new version

* Thu Aug 31 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-2mdk
- added comment about g-wrap
- added menu file

* Wed Aug 30 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.4.5-1mdk
- went back to stable releases
- macroszification
- corrected icons
- added some more BuildRequires (xpm, guile-devel)
- specfile clean-up
- split application and devel packages

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.5.0-1mdk
- Updated version

* Tue Jul 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-3mdk
- Repaired missing libs

* Mon Jul 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.2-1mdk
- Updated version / release 2 hours ago.

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.4.1-1mdk
- Updated version

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.1-5mdk
- Give full path when using convert.
- BuildPrereq: /usr/bin/convert.
- Regenerate libtoolize everywhere there is a configure.
- BuildRequires: eperl swig.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
